> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Validate deployment

POST https://astropods.com/api/v1/deploy/validate
Content-Type: application/json

Validates a deployment request without applying it to the cluster. Useful for pre-flight checks.

Reference: https://docs.astropods.com/api-reference/astro-ai-api/deployments/validate-deployment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: astro-api
  version: 1.0.0
paths:
  /deploy/validate:
    post:
      operationId: validate-deployment
      summary: Validate deployment
      description: >-
        Validates a deployment request without applying it to the cluster.
        Useful for pre-flight checks.
      tags:
        - subpackage_deployments
      parameters:
        - name: Authorization
          in: header
          description: OAuth 2.0 device flow or platform session token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Validation passed
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/deployments_validateDeployment_Response_200
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateDeploymentRequestBadRequestError'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Insufficient permissions for this account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeployRequest'
servers:
  - url: https://astropods.com/api/v1
    description: Astro AI API server
components:
  schemas:
    DeployRequest:
      type: object
      properties:
        account:
          type: string
          description: Account that owns the deployment
        name:
          type: string
          description: Agent name
        source_account:
          type: string
          description: >-
            Source account for cross-account deploys (uses latest published
            version)
        user_credentials:
          type: object
          additionalProperties:
            type: string
          description: Credential key-value pairs required by the agent
        interfaces:
          type: array
          items:
            type: string
          description: Interface adapter names to enable (e.g. ["slack", "web"])
        schedules:
          type: object
          additionalProperties:
            type: string
          description: Cron schedules keyed by ingestion name
      required:
        - account
        - name
      title: DeployRequest
    deployments_validateDeployment_Response_200:
      type: object
      properties:
        valid:
          type: boolean
        build_id:
          type: string
        name:
          type: string
      title: deployments_validateDeployment_Response_200
    ValidateDeploymentRequestBadRequestError:
      type: object
      properties:
        valid:
          type: boolean
        validation_errors:
          type: array
          items:
            type: string
      title: ValidateDeploymentRequestBadRequestError
    Error:
      type: object
      properties:
        error:
          type: string
        details:
          type: string
      title: Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 device flow or platform session token

```

## Examples



**Request**

```json
{
  "account": "astro-team",
  "name": "weather-agent"
}
```

**Response**

```json
{
  "valid": true,
  "build_id": "b7f3c9d2-4a1e-4f8a-9c3e-2d5a7f8b9c1e",
  "name": "weather-agent"
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deploy/validate"

payload = {
    "account": "astro-team",
    "name": "weather-agent"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deploy/validate';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"account":"astro-team","name":"weather-agent"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deploy/validate"

	payload := strings.NewReader("{\n  \"account\": \"astro-team\",\n  \"name\": \"weather-agent\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deploy/validate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"account\": \"astro-team\",\n  \"name\": \"weather-agent\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://astropods.com/api/v1/deploy/validate")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"account\": \"astro-team\",\n  \"name\": \"weather-agent\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://astropods.com/api/v1/deploy/validate', [
  'body' => '{
  "account": "astro-team",
  "name": "weather-agent"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deploy/validate");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"account\": \"astro-team\",\n  \"name\": \"weather-agent\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "account": "astro-team",
  "name": "weather-agent"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deploy/validate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```